Bug 1260283 - needs esprima-harmony-jscs, not esprima
needs esprima-harmony-jscs, not esprima
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-regenerator (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1239726
  Show dependency treegraph
 
Reported: 2015-09-05 10:10 EDT by Piotr Popieluch
Modified: 2015-10-31 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-regenerator-0.8.39-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:35:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-05 10:10:11 EDT
When using mocha to test a node module which requires regenerator I get this error:

assert.js:93
  throw new assert.AssertionError({
        ^
AssertionError: Bad esprima version: 1.1.1
    at normalizeOptions (/usr/lib/node_modules/regenerator/main.js:59:10)
    at regenerator (/usr/lib/node_modules/regenerator/main.js:22:13)
    at Object.<anonymous> (/usr/lib/node_modules/pac-resolver/index.js:36:29)


When looking in the code it seems that there is hardcoded tested that the version must contain the string '/harmony/'.

/usr/lib/node_modules/regenerator/main.js:
  if (!options.esprima) {
    options.esprima = require("esprima");
  }

  assert.ok(
    /harmony/.test(options.esprima.version),
    "Bad esprima version: " + options.esprima.version
  );


If I change the require("esprima") to require("esprima-harmony-jscs" the test passes and continues..
Comment 1 Fedora Update System 2015-10-16 17:00:57 EDT
nodejs-regenerator-0.8.39-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e3a5e1e20c
Comment 2 Fedora Update System 2015-10-17 14:21:23 EDT
nodejs-regenerator-0.8.39-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-regenerator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e3a5e1e20c
Comment 3 Fedora Update System 2015-10-31 22:35:46 EDT
nodejs-regenerator-0.8.39-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.